<?php
/**
 * Index du projet GSB
 *
 * PHP Version 7
 *
 * @category  PPE
 * @package   GSB
 * @author    Réseau CERTA <contact@reseaucerta.org>
 * @author    José GIL <jgil@ac-nice.fr>
 * @copyright 2017 Réseau CERTA
 * @license   Réseau CERTA
 * @version   GIT: <0>
 * @link      http://www.reseaucerta.org Contexte « Laboratoire GSB »
 */
ini_set('display_errors', 0);
require_once 'includes/fct.inc.php';
require_once 'includes/class.pdogsb.inc.php';
session_start();
$pdo = PdoGsb::getPdoGsb();
$estConnecte = estConnecte();
$estConnectecomptable = estConnectecomptable();
require 'vues/v_entete.php';
$uc = filter_input(INPUT_GET, 'uc', FILTER_SANITIZE_STRING);
if ($uc && !$estConnecte && !$estConnectecomptable) {
    $uc = 'connexion';
} elseif (empty($uc)) {
    $uc = 'accueil';
}
switch ($uc) {
    case 'connexion':
        include 'controleurs/c_connexion.php';
        break;
    case 'accueil':
        include 'controleurs/c_accueil.php';
        break;
    /* pour acceder a la page valider fiche de fraie cmptable*/
    case'validerfiche':
        include 'controleurs/c_validerfiche.php';
        break;
    /* pour acceder a la page suivi paiement du cmptable*/
    case 'suivipaiement':
        include 'controleurs/c_suivipaiement.php';
        break;

    case 'gererFrais':
        include 'controleurs/c_gererFrais.php';
        break;
    case 'etatFrais':
        include 'controleurs/c_etatFrais.php';
        break;
    case 'deconnexion':
        include 'controleurs/c_deconnexion.php';
        break;
    case 'gestionusers':
        include 'controleurs/c_gestionusers.php';
        break;
    case 'stat' :
        include 'controleurs/c_statChoix.php';
        break;

    case 'vueStat' :
        include 'controleurs/c_statChoix.php';
        break;

}
require 'vues/v_pied.php';
